
print("register fruit type: Zuckerrohr");
local hudFile = Utils.getFilename("mods/SachsenbauermapV2/textures/hud/sugarcaneHUD.png", getUserProfileAppPath());
--						   (string name, bool needsSeeding, bool allowsSeeding, bool hasStraw, int minHarvestingGrowthState, float pricePerLiter, float literPerQm, float seedUsagePerQm, float seedPricePerLiter, string hudFruitOverlayFilename)
FruitUtil.registerFruitType("sugarcane", 		true, 				true, 			true, 					4, 						0.4, 				1.3, 				0.01, 				0.5, 						hudFile);


local origSowingMachineLoad = SowingMachine.load;

SowingMachine.load = function (self, xmlFile)
	if origSowingMachineLoad ~= nil then
		origSowingMachineLoad(self, xmlFile);
	end;

	self.seeds = {};
	local i = 1;
    for k, fruitType in pairs(FruitUtil.fruitTypes) do
        if fruitType.allowsSeeding then
            self.seeds[i] = fruitType.index;
			i = i + 1;
        end;
    end;
end;