print("register fruit type: rice");

local ricehudFile = Utils.getFilename("mods/SachsenbauermapV2/textures/hud/RiceHUD.png", getUserProfileAppPath());
FruitUtil.registerFruitType("rice", true, true, false, 4, 0.4, 1.3, 0.05, 0.5, ricehudFile);


local origSowingMachineLoad = SowingMachine.load;

SowingMachine.load = function (self, xmlFile)
	if origSowingMachineLoad ~= nil then
		origSowingMachineLoad(self, xmlFile);
	end;

	self.seeds = {};
	local i = 1;
    for k, fruitType in pairs(FruitUtil.fruitTypes) do
        if fruitType.allowsSeeding then
            self.seeds[i] = fruitType.index;
			i = i + 1;
        end;
    end;
end;




